# pymol script A3T3 LI, 1.5 Å
# Loren Williams
# Georgia Tech

reinitialize
bg_color white
#
load files/CGCAAATTTGCG.pdb, DNA_coords
#
hide line, DNA_coords
show cartoon, DNA_coords
set cartoon_ring_mode,3
set cartoon_tube_radius=0.3
color lime, dna_coords
color yellow, (dna_coords and elem P or name O5' or name O3')
#
create bases, DNA_coords and (name N1+N2+N3+N4+N6+N7+N9+C2+C4+C5+C6+C8+O2+O4+O6) and not resn SPM
show sticks, bases
# color atoms by type
color wheat, name C* and (bases)
color red, name O* and (bases)
color blue, name N* and (bases)
color yellow, name P* and (bases)

#
#select just the water, put it in object water_coords
create water_coords, (dna_coords & (resn hoh))
#
#----------------------->minor groove create hexagons

create w_primary, (water_coords & (resi 62,59,34,29,43,30,64))
color cyan, w_primary

distance HB_base_s, (w_primary), (bases and name N*+O*), 3.4
color black, HB_base_s
set label_color, black, HB_base_s
hide labels, HB_base_s
set dash_width, 3, HB_base_s
set dash_gap, 0.3, HB_base_s

create w_secondary, (water_coords & (resi 201,58,44,33,48,92))
color orange, w_secondary

distance HB_P_S, (w_primary), (w_secondary), 3.3
color grey, HB_P_S
set label_color, grey, HB_P_S
hide labels, HB_P_S
set dash_width, 3, HB_P_S
set dash_gap, 0.3, HB_P_S


create w_tertiary, (water_coords & (resi 145,45,47,98,192))
color blue, w_tertiary

distance HB_S_T, (w_secondary), (w_tertiary), 3.3
color grey, HB_S_T
set label_color, grey, HB_S_T
hide labels, HB_S_T
set dash_width, 3, HB_S_T
set dash_gap, 0.3, HB_S_T


create w_quaternary, (water_coords & (resi 176,46))
color red, w_quaternary

distance HB_T_Q, (w_tertiary), (w_quaternary), 4.2
color grey, HB_T_Q
set label_color, grey, HB_T_Q
hide labels, HB_T_Q
set dash_width, 3, HB_T_Q
set dash_gap, 0.3, HB_T_Q

show spheres, w_*
alter w_*, vdw=.6 
rebuild

#
### to orient and slab, cut below here and paste into script ###
###### cut above here and paste into script ###
set orthoscopic=1
set ambient=0.1
set antialias=1

set_view (\
    -0.413247049,    0.102836892,   -0.904802263,\
    -0.843453705,    0.331318378,    0.422885656,\
     0.343265742,    0.937898338,   -0.050176434,\
    -0.000054132,    0.000064239,  -54.857471466,\
    14.771293640,   21.314441681,   76.656585693,\
    28.066905975,   81.650825500,   20.000000000 )

remove resn hoh and DNA_coords
delete water_coords
ray